import { main } from '@/api'
import request from '@/utils/require'

// // 列表获取
// export function getPageList(pageForm, param) {
//     return request({
//         url: `${baseApp}/companyRecordsPage/${pageForm.page}/${pageForm.size}`,
//         method: 'post',
//         data: param
//     })
// }
// export function getInfoById(id) {
//     return request({
//         url: `${baseApp}/companyRecords/${id}`,
//         method: 'get',
//     })
// }
// // 获取企业信息
// export function getCompanyInfo(code) {
//     return request({
//         url: `${baseApp}/company/${code}`,
//         method: 'get',
//     })
// }
// // 企业信息更新
// export function editCompanyInfo(param) {
//     return request({
//         url: `${baseApp}/insertCompanyRecords/0`,
//         method: 'post',
//         data: param
//     })
// }
// 仓房基本情况
export function getWareList(param) {
    return request({
        url: `${baseApp}/warehouseListByKddm/${param.kddm}`,
        method: 'post',
    })
}
// // 仓房信息新增
// export function addWareInfo(param) {
//     return request({
//         url: `${baseApp}/warehouseInsertList`,
//         method: 'post',
//         data: param
//     })
// }
// // 仓储设备情况
// export function getDeviceList(param) {
//     return request({
//         url: `${baseApp}/equipmentList`,
//         method: 'post',
//         data: param
//     })
// }
// // 仓储设备新增
// export function addDeviceInfo(param) {
//     return request({
//         url: `${baseApp}/equipmentInsertList`,
//         method: 'post',
//         data: param
//     })
// }

// // 保管员情况
// export function getPeopleList(param) {
//     return request({
//         url: `${baseApp}/personnelListByKddm/${param.kddm}`,
//         method: 'post',
//         data: param
//     })
// }

// export function addPeopleInfo(param) {
//     return request({
//         url: `${baseApp}/personnelInsertList`,
//         method: 'post',
//         data: param
//     })
// }

// export function companyInfo(param, type) {
//     return request({
//         url: `${baseApp}/insertCompanyRecords/${type}`,
//         method: 'post',
//         data: param
//     })
// }


// // 提交
// export function sendKuDianInfo(code) {
//     return request({
//         url: `${baseApp}/companyRecordsRelay/${code}`,
//         method: 'post',
//     })
// }

// // 审批
// export function checkKuDianInfo(form) {
//     return request({
//         url: `${baseApp}/companyRecordsDirectorExamine`,
//         method: 'post',
//         data: form
//     })
// }

//承储资格-申请主表-新增-初始化-企业信息
export function insertInitCompanyInfo(tyshxydm) {
    return request({
        url: `${main}/warehouseunitfiling/insertInitCompanyInfo?tyshxydm=${tyshxydm}`,
        method: 'post'
    })
}

//承储资格-申请主表-新增-初始化-仓房
export function insertInitWarehouse(tyshxydm) {
    return request({
        url: `${main}/warehouseunitfiling/insertInitWarehouse?tyshxydm=${tyshxydm}`,
        method: 'post'
    })
}

//承储资格-申请主表-新增-初始化-设备
export function insertInitEquipmentList(tyshxydm) {
    return request({
        url: `${main}/warehouseunitfiling/insertInitEquipmentList?tyshxydm=${tyshxydm}`,
        method: 'post'
    })
}

//承储资格 - 申请主表 - 新增 - 初始化 - 保管员
export function insertInitPersonnelListByKddm(tyshxydm) {
    return request({
        url: `${main}/warehouseunitfiling/insertInitPersonnelListByKddm?tyshxydm=${tyshxydm}`,
        method: 'post'
    })
}

//新增
export function insertWarehouseUnitFiling(data) {
    return request({
        url: `${main}/warehouseunitfiling/insertWarehouseUnitFiling`,
        method: 'post',
        data
    })
}

//修改
export function updateWarehouseUnitFiling(data) {
    return request({
        url: `${main}/warehouseunitfiling/updateWarehouseUnitFiling`,
        method: 'post',
        data
    })
}


//列表
export function selectWarehouseUnitFilingPageList(paras, data) {
    return request({
        url: `${main}/warehouseunitfiling/selectWarehouseUnitFilingPageList?pageNum=${paras.page}&pageSize=${paras.size}`,
        method: 'post',
        data
    })
}


//删除
export function deleteWarehouseUnitFiling(data) {
    return request({
        url: `${main}/warehouseunitfiling/deleteWarehouseUnitFiling`,
        method: 'post',
        data
    })
}

//查看详情
export function selectWarehouseUnitFilingDetail(data) {
    return request({
        url: `${main}/warehouseunitfiling/selectWarehouseUnitFilingDetail`,
        method: 'post',
        data
    })
}
