import Vue from 'vue'
import Vuex from 'vuex'
import app from './modules/app'
import user from './modules/user'
import getters from './getters'
import status from "./modules/status"
Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    user,
    status
  },
  getters
})

export default store
